<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:40 PST 2017 -->
<title>ParserSession</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ParserSession";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Persist.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/ParserSession.html" target="_top">Frames</a></li>
<li><a href="ParserSession.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_xdc.services.spec.Session">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class ParserSession" class="title">Class ParserSession</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/spec/Session.html" title="class in xdc.services.spec">xdc.services.spec.Session</a></li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.ParserSession</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">ParserSession</span>
extends <a href="../../../xdc/services/spec/Session.html" title="class in xdc.services.spec">Session</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_xdc.services.spec.Session">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Session.html" title="class in xdc.services.spec">Session</a></h3>
<code><a href="../../../xdc/services/spec/Session.html#msg">msg</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#ParserSession()">ParserSession</a></strong>()</code>
<div class="block">No arg constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#ParserSession(xdc.services.global.Env)">ParserSession</a></strong>(xdc.services.global.Env&nbsp;env)</code>
<div class="block">Create a parser session with a given environment</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#ParserSession(xdc.services.global.Env, xdc.services.spec.Cache)">ParserSession</a></strong>(xdc.services.global.Env&nbsp;env,
             <a href="../../../xdc/services/spec/Cache.html" title="class in xdc.services.spec">Cache</a>&nbsp;cache)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Pkg.html" title="class in xdc.services.spec">Pkg</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#compile(java.lang.String)">compile</a></strong>(java.lang.String&nbsp;pkgFile)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#save()">save</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#save(java.io.File)">save</a></strong>(java.io.File&nbsp;pdir)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Pkg.html" title="class in xdc.services.spec">Pkg</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#scan(java.lang.String)">scan</a></strong>(java.lang.String&nbsp;pkgFile)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#setStrict(boolean)">setStrict</a></strong>(boolean&nbsp;strict)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/ParserSession.html#setVerbose(boolean)">setVerbose</a></strong>(boolean&nbsp;verbose)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.spec.Session">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Session.html" title="class in xdc.services.spec">Session</a></h3>
<code><a href="../../../xdc/services/spec/Session.html#findDecl(java.lang.String)">findDecl</a>, <a href="../../../xdc/services/spec/Session.html#findDecl(xdc.services.spec.Unit, java.lang.String)">findDecl</a>, <a href="../../../xdc/services/spec/Session.html#findPkg(java.lang.String)">findPkg</a>, <a href="../../../xdc/services/spec/Session.html#findUnit(xdc.services.spec.Pkg, java.lang.String)">findUnit</a>, <a href="../../../xdc/services/spec/Session.html#findUnit(java.lang.String)">findUnit</a>, <a href="../../../xdc/services/spec/Session.html#getEnv()">getEnv</a>, <a href="../../../xdc/services/spec/Session.html#getVers()">getVers</a>, <a href="../../../xdc/services/spec/Session.html#setEnv(xdc.services.global.Env)">setEnv</a>, <a href="../../../xdc/services/spec/Session.html#setErr(java.io.PrintWriter)">setErr</a>, <a href="../../../xdc/services/spec/Session.html#setWarnings(boolean)">setWarnings</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ParserSession()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParserSession</h4>
<pre>public&nbsp;ParserSession()</pre>
<div class="block">No arg constructor</div>
</li>
</ul>
<a name="ParserSession(xdc.services.global.Env)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParserSession</h4>
<pre>public&nbsp;ParserSession(xdc.services.global.Env&nbsp;env)</pre>
<div class="block">Create a parser session with a given environment</div>
</li>
</ul>
<a name="ParserSession(xdc.services.global.Env, xdc.services.spec.Cache)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ParserSession</h4>
<pre>public&nbsp;ParserSession(xdc.services.global.Env&nbsp;env,
             <a href="../../../xdc/services/spec/Cache.html" title="class in xdc.services.spec">Cache</a>&nbsp;cache)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="compile(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compile</h4>
<pre>public&nbsp;<a href="../../../xdc/services/spec/Pkg.html" title="class in xdc.services.spec">Pkg</a>&nbsp;compile(java.lang.String&nbsp;pkgFile)</pre>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()</pre>
</li>
</ul>
<a name="save(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(java.io.File&nbsp;pdir)</pre>
</li>
</ul>
<a name="scan(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scan</h4>
<pre>public&nbsp;<a href="../../../xdc/services/spec/Pkg.html" title="class in xdc.services.spec">Pkg</a>&nbsp;scan(java.lang.String&nbsp;pkgFile)</pre>
</li>
</ul>
<a name="setVerbose(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVerbose</h4>
<pre>public&nbsp;void&nbsp;setVerbose(boolean&nbsp;verbose)</pre>
</li>
</ul>
<a name="setStrict(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setStrict</h4>
<pre>public&nbsp;boolean&nbsp;setStrict(boolean&nbsp;strict)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Persist.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/ParserSession.html" target="_top">Frames</a></li>
<li><a href="ParserSession.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_xdc.services.spec.Session">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
